//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .Net StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications

//======================================================================================================
// The AccountProfileDataModel class, part of the DataContract for the StockTrader Business Services Layer.
//======================================================================================================


using System;
using System.Collections;
using System.Runtime.Serialization;
using System.Xml.Serialization;
using System.ServiceModel;

namespace Trade.BusinessServiceDataContract
{
    /// <summary>
    /// This class is part of the WCF Data Contract for StockTrader Business Services.
    /// It defines the class used as the data model for account profile information. 
    /// </summary>
    [System.Xml.Serialization.XmlInclude(typeof(AccountProfileDataModel))]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Namespace = "http://trade.samples.websphere.ibm.com", Name = "AccountProfileDataBean")]
    public sealed class AccountProfileDataModel
    {
        private string _userId;
        private string _password;
        private string _fullName;
        private string _address;
        private string _email;
        private string _creditCard;
            
        public AccountProfileDataModel()
        {
        }

    public AccountProfileDataModel(
		string userid,
        string password,
        string fullname,
        string address,  
        string email,        
        string creditcard
        )
	    {
            this._userId = userid;
            this._password = password;
            this._fullName = fullname;
            this._address = address;
            this._email = email;
            this._creditCard = creditcard;
	    }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "userID", Order = 1, IsNullable = false)]
        [DataMember(IsRequired=false,Name="userID",Order=1)]
        public string userID
        {
            get
            {
                return _userId;
            }
            set
            {
                this._userId = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "password", Order = 2, IsNullable = false)]
        [DataMember(IsRequired=false,Name="password",Order=2)]
        public string password
        {
            get
            {
                return _password;
            }
            set
            {
                this._password = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "fullName", Order = 3, IsNullable = false)]
        [DataMember(IsRequired=false,Name="fullName",Order=3)]
        public string fullName
        {
            get
            {
                return _fullName;
            }
            set
            {
                this._fullName = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "address", Order = 4, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "address", Order = 4)]
        public string address
        {
            get
            {
                return _address;
            }
            set
            {
                this._address = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "email", Order = 5, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "email", Order = 5)]
        public string email
        {
            get
            {
                return _email;
            }
            set
            {
                this._email = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "creditCard", Order = 6, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "creditCard", Order = 6)]
        public string creditCard
        {
            get
            {
                return _creditCard;
            }
            set
            {
                this._creditCard = value;
            }
        }
    }
}