//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .NET StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications

//======================================================================================================
// Code originally contributed by Microsoft Corporation.
// This contribution to the Stonehenge project is limited strictly 
// to the source code that is submitted in this submission.  
// Any technology, including underlying platform technology, 
// that is referenced or required by the submitted source code 
// is not a part of the contribution.  
// For example and not by way of limitation, 
// any systems/Windows libraries (WPF, WCF, ASP.NET etc.) 
// required to run the submitted source code is not a part of the contribution
//======================================================================================================
using System;
using System.Collections;
using Trade.StockTraderWebApplicationSettings;

namespace Trade.StockTraderWebApplicationModelClasses
{

    /// <summary>
    /// Model class for displaying account data in a web page.
    /// </summary>
    public sealed class AccountDataUI
    {
        private int _accountID; 		    
        private DateTime _creationDate; 	
        private string _userId;
        private decimal _openBalance;
        private int _logoutCount;
        private decimal _balance;
        private DateTime _lastLogin;
        private int _loginCount;
            
        public AccountDataUI()
        {
        }

        public AccountDataUI(
            int accountID, 
            string userid,
            DateTime creationDate,
            decimal openBalance,
            int logoutCount,
            decimal balance,
            DateTime lastLogin,
            int loginCount)
        {
            this._accountID = accountID;
            this._creationDate = creationDate;
            this._userId = userid;
            this._openBalance = openBalance;
            this._logoutCount = logoutCount;
            this._balance = balance;
            this._lastLogin = lastLogin;
            this._loginCount = loginCount;
        }

        public int accountID
        {
            get 
            {
                return _accountID; 
            }
        }

        public int loginCount
        {
            get
            {
                return _loginCount;
            }
        }

        public int logoutCount
        {
            get
            {
                return _logoutCount;
            }
        }

        public DateTime lastLogin
        {
            get
            {
                return _lastLogin;
            }
        }

        public DateTime creationDate
        {
            get
            {
                return _creationDate;
            }
        }

        public decimal balance
        {
            get
            {
                return _balance;
            }
        }

        public decimal openBalance
        {
            get
            {
                return _openBalance;
            }
        }

        public string profileID
        {
            get
            {
                return _userId;
            }
        }
    }
}