/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.stonehenge.stocktrader;

import java.math.BigDecimal;
import java.util.List;

import com.ibm.websphere.samples.trade.ArrayOfQuoteDataBean;
import com.ibm.websphere.samples.trade.MarketSummaryDataBeanWS;

public class CustomMarketSummaryBean extends MarketSummaryDataBeanWS {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6180349684421231291L;

	public CustomMarketSummaryBean(BigDecimal tSIA, BigDecimal openTSIA,
			double volume, List<CustomQuoteBean> topGainers,
			List<CustomQuoteBean> topLosers) {
		setTSIA(tSIA);
		setOpenTSIA(openTSIA);
		setVolume(volume);
		setTopGainers(topGainers);
		setTopLosers(topLosers);
	}

	private void setTopGainers(List<CustomQuoteBean> topGainers) {
		ArrayOfQuoteDataBean arrayOfQuoteDataBean = new ArrayOfQuoteDataBean();
		CustomQuoteBean[] qouteBeans = new CustomQuoteBean[topGainers.size()];
		qouteBeans = (CustomQuoteBean[]) topGainers.toArray(qouteBeans);
		arrayOfQuoteDataBean.setQuoteDataBean(qouteBeans);
		setTopGainers(arrayOfQuoteDataBean);
	}

	private void setTopLosers(List<CustomQuoteBean> topLosers) {
		ArrayOfQuoteDataBean arrayOfQouteDataBean = new ArrayOfQuoteDataBean();
		CustomQuoteBean[] qouteBeans = new CustomQuoteBean[topLosers.size()];
		qouteBeans = (CustomQuoteBean[]) topLosers.toArray(qouteBeans);
		arrayOfQouteDataBean.setQuoteDataBean(qouteBeans);
		setTopLosers(arrayOfQouteDataBean);
	}

}
